'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Rect = _styledComponents2.default.rect.attrs({
  fill: function fill(props) {
    return props.contrastMode ? props.theme.colors.black : props.theme.colors.purple800;
  },
  rx: 5
}).withConfig({
  displayName: '_TagCamera__Rect'
})(['']);

var Circle = _styledComponents2.default.circle.attrs({
  stroke: function stroke(props) {
    return props.theme.colors.white;
  },
  fill: function fill(props) {
    return props.contrastMode ? props.theme.colors.black : props.theme.colors.purple800;
  }
}).withConfig({
  displayName: '_TagCamera__Circle'
})(['']);

var TagCamera = function (_React$Component) {
  _inherits(TagCamera, _React$Component);

  function TagCamera() {
    _classCallCheck(this, TagCamera);

    return _possibleConstructorReturn(this, (TagCamera.__proto__ || Object.getPrototypeOf(TagCamera)).apply(this, arguments));
  }

  _createClass(TagCamera, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'g',
        { transform: 'translate(16, 6) scale(0.75)' },
        _react2.default.createElement(Rect, _extends({}, this.props, { x: '0', y: '4', width: '30', height: '24' })),
        _react2.default.createElement(Rect, _extends({}, this.props, { x: '5', y: '0', width: '20', height: '25' })),
        _react2.default.createElement(Circle, _extends({}, this.props, { cx: '15', cy: '15', r: '6', strokeWidth: '4' }))
      );
    }
  }]);

  return TagCamera;
}(_react2.default.Component);

exports.default = TagCamera;